JavaHolderWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaHolderWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaHolderWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaHolderWriter

All Implemented Interfaces:
  Generator

public class JavaHolderWriter
extends JavaClassWriter

This is Wsdl2java's Holder Writer. It writes the Holder.java file.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH`

Constructor Summary
`protected` | `JavaHolderWriter(Emitter emitter, TypeEntry type)` Constructor.

Method Summary
`void` | `generate()` Generate a java source file for the holder class.
`protected java.lang.String` | `getClassModifiers()` Return "public final ".
`protected java.lang.String` | `getImplementsText()` Return "implements javax.xml.rpc.holders.Holder ".
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Generate the holder for the given complex type.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassName, getClassText, getExtendsText, getFileName, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaHolderWriter

    protected JavaHolderWriter(Emitter emitter,
                               TypeEntry type)

  Constructor.

Parameters:
  `emitter` -
  `type` -

Method Detail

### getClassModifiers

    protected java.lang.String getClassModifiers()

  Return "public final ".

  Overrides:
    `getClassModifiers` in class `JavaClassWriter`
  Returns:

### getImplementsText

    protected java.lang.String getImplementsText()

  Return "implements javax.xml.rpc.holders.Holder ".

  Overrides:
    `getImplementsText` in class `JavaClassWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Generate the holder for the given complex type.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### generate

    public void generate()
                  throws java.io.IOException

  Generate a java source file for the holder class. If the emitter works in deploy mode and the class already exists, the source wull not be generated.

  Specified by:
    `generate` in interface `Generator`
  Overrides:
    `generate` in class `JavaWriter`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.